

#ifndef RBA_DEMOBDBASIC_IUMPR_H
#define RBA_DEMOBDBASIC_IUMPR_H

#include "rba_DemObdBasic_Types.h"

#if DEM_CFG_OBD_IUMPR

#define DEM_START_SEC_SAVED_ZONE
#include "Dem_Cfg_MemMap.h"

extern rba_DemObdBasic_IumprNvDataType rba_DemObdBasic_IumprNvData;

#define DEM_STOP_SEC_SAVED_ZONE
#include "Dem_Cfg_MemMap.h"

void rba_DemObdBasic_Iumpr_Init(void);
void rba_DemObdBasic_Iumpr_InitCheckNvm(void);
void rba_DemObdBasic_Iumpr_StartDrivingCycle(void);
void rba_DemObdBasic_Iumpr_MainFunction(void);
void rba_DemObdBasic_Iumpr_Shutdown(void);

#else

#define rba_DemObdBasic_Iumpr_Init()
#define rba_DemObdBasic_Iumpr_InitCheckNvm()
#define rba_DemObdBasic_Iumpr_StartDrivingCycle()
#define rba_DemObdBasic_Iumpr_MainFunction()
#define rba_DemObdBasic_Iumpr_Shutdown()

#endif

#endif

